---
title: "Get a list of calls"
description: "GET /calls — Returns calls logged against your contacts, including the result of each."
canonical_url: https://developer.onepagecrm.com/api/reference/calls/get-calls/
source: Markdown mirror of https://developer.onepagecrm.com/api/reference/calls/get-calls/
---

`GET /calls`

Returns calls logged against your contacts, including the result of each.

Resource: [Calls](https://developer.onepagecrm.com/api/reference/calls/) · [API Reference](https://developer.onepagecrm.com/api/reference/)

## Request

```bash
curl "https://app.onepagecrm.com/api/v3/calls" \
  -u $user_id:$api_key
```

Authentication is HTTP Basic — `user_id` as username, `api_key` as password.
See https://developer.onepagecrm.com/api/authentication/.

## Query parameters

| Name | Type | Description |
| --- | --- | --- |
| `contact_id` | string | Return calls for a specific contact (only use one of `contact_id` or `company_id` at a time) |
| `company_id` | string | Return calls for a specific company (only use one of `contact_id` or `company_id` at a time) |
| `date_filter` | string | Signals which date field to be used for only returning resources, added or edited, in a specified date range (only to be used with `since` and/or `until`, not with `modified_since` or `unmodified_since`) |
| `since` | string | Specifies the start of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
| `until` | string | Specifies the end of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
| `modified_since` | string | Return only resources that were modified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
| `unmodified_since` | string | Return only resources that were unmodified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
| `sort_by` | string | Specify field by which to order the results (use in conjunction with `order`) |
| `order` | string | Specify the order (ascending or descending) of the sort of the results (use in conjunction with `sort_by`) |
| `page` | integer | Page number. Starts from 1. Default is 1. |
| `per_page` | integer | Number of records to return. Maximum 100 allowed. Default is 10. |

## Responses

### 200

OK

```json
{
  "status": 0,
  "message": "OK",
  "timestamp": 1528373119,
  "data": {
    "calls": [
      {
        "call": {
          "id": "5afc1b69d556730b580596cb",
          "contact_id": "5ae06ef9d55673108fe8877f",
          "text": "Mary is interested in coming into the office on Tuesday.",
          "call_result": "interested",
          "call_time_int": 1525273653,
          "via": "phone",
          "phone_number": "(912) 644-1770 (mobile)",
          "recording_link": "",
          "author": "Jane D.",
          "attachments": [
            {}
          ],
          "created_at": "2018-05-16T11:52:09Z",
          "modified_at": "2018-05-16T11:52:09Z",
          "index": 1
        }
      }
    ],
    "total_count": 1,
    "page": 1,
    "per_page": 10,
    "max_page": 1
  }
}
```

Standard error responses: 400, 401, 403, 404, 409, 500 — shared across the API. See https://developer.onepagecrm.com/api/errors/.

## Related guides

- [Authentication](https://developer.onepagecrm.com/api/authentication/)
- [Errors](https://developer.onepagecrm.com/api/errors/)
- [Rate limits](https://developer.onepagecrm.com/api/rate-limits/)
- [Pagination](https://developer.onepagecrm.com/api/pagination/)
- [Sorting & time filters](https://developer.onepagecrm.com/api/sorting/)
